---
argument_specs:
  main:
    options:
#tag::required-variables[]
      linux_user:
        description: "The user to provide (may already exist)"
        type: str
        required: true
      git_full_name:
        description: "The full git name. E.g. 'Rachel Andrews'"
        type: str
        required: true
      git_email:
        description: "The email address used for git. E.g. 'randrews@mozilla.org'"
        type: str
        required: true
#end::required-variables[]
#tag::optional-variables[]
      linux_group:
        description: "The linux user's group."
        default: "{{ linux_user }}"
        type: str
        required: false
#end::optional-variables[]
